### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InflationTermStructure Class Reference

Interface for inflation term structures. More...

`#include <ql/termstructures/inflationtermstructure.hpp>`

Inheritance diagram for InflationTermStructure:
[legend]

List of all members.

## Public Member Functions

void | setSeasonality (const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| Functions to set and get seasonality.
boost::shared_ptr< Seasonality > | seasonality () const
bool | hasSeasonality () const
Constructors
| InflationTermStructure (Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (const Date &referenceDate, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Calendar &calendar=Calendar(), const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (Natural settlementDays, const Calendar &calendar, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
Inflation interface
virtual Period | observationLag () const
virtual Frequency | frequency () const
virtual bool | indexIsInterpolated () const
virtual Rate | baseRate () const
virtual Handle < YieldTermStructure > | nominalTermStructure () const
virtual Date | baseDate () const =0
| minimum (base) date

## Protected Member Functions

virtual void | setBaseRate (const Rate &r)
void | checkRange (const Date &, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check

## Protected Attributes

boost::shared_ptr< Seasonality > | seasonality_
Period | observationLag_
Frequency | frequency_
bool | indexIsInterpolated_
Rate | baseRate_
Handle< YieldTermStructure > | nominalTermStructure_

## Detailed Description

Interface for inflation term structures.

## Member Function Documentation

Period observationLag | ( |  | ) | const`[virtual]`

The TS observes with a lag that is usually different from the availability lag of the index. An inflation rate is given, by default, for the maturity requested assuming this lag.

Reimplemented in CPICapFloorTermPriceSurface.

virtual Date baseDate | ( |  | ) | const`[pure virtual]`

minimum (base) date

Important in inflation since it starts before nominal reference date. Changes depending whether index is interpolated or not. When interpolated the base date is just observation lag before nominal. When not interpolated it is the beginning of the relevant period (hence it is easy to create interpolated fixings from a not-interpolated curve because interpolation, usually, of fixings is forward looking).

Implemented in CPICapFloorTermPriceSurface, PiecewiseYoYInflationCurve< Interpolator, Bootstrap, Traits >, PiecewiseZeroInflationCurve< Interpolator, Bootstrap, Traits >, InterpolatedYoYInflationCurve< Interpolator >, and InterpolatedZeroInflationCurve< Interpolator >.

void setSeasonality | ( | const boost::shared_ptr< Seasonality > & | seasonality = `boost::shared_ptr< Seasonality >()` | ) |

Functions to set and get seasonality.

Calling setSeasonality with no arguments means unsetting as the default is used to choose unsetting.